### Method

# ICalGLib Trigger get_duration

since: 1.0

#### Declaration [src]

    ICalDuration*
    i_cal_trigger_get_duration (
      ICalTrigger* trigger
    )

#### Description [src]

Gets the duration from `ICalTrigger`.

Available since: 1.0

#### Return value

Type: `ICalDuration`

The duration of `ICalTrigger`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.